#include<iostream>
using namespace std;
int main()
{
    long long n,mas[100000],i,zap[100000],r=0,m,nm;

    cin>>n;

    for(i=0;i<n;i++){

        cin>>mas[i];
    }
    for(i=0;i<n;i++){
        if(mas[i]==0){
            m=i;
        }

    }
    for(i=1;i<=m;i++){
        if(mas[i]>mas[i-1]&&mas[i]>mas[i+1]){
            zap[r]=i;
            r++;

        }

    }
    
    if(r==1){

        cout<<"0";
    }else{
        nm=zap[1]-zap[0];
        for(i=0;i<r-1;i++){
            if(zap[i+1]-zap[i]<nm){

                nm=zap[i+1]-zap[i];
            }

        }
        cout<<nm-1;

    }
    return 0;
}
